Subject: Re: linux-next: build warning after merge of the arm-soc tree

From: Florian Fainelli <[email-masked]>
Date: Wed, 22 Dec 2021 15:58:45 -0800

On 12/22/21 3:22 PM, Arnd Bergmann wrote:
> On Wed, Dec 22, 2021 at 10:59 PM Stephen Rothwell <[email-masked]> wrote:
>>
>> Hi all,
>>
>> After merging the arm-soc tree, today's linux-next build (arm
>> multi_v7_defconfig) produced this warning:
>>
>> arch/arm/boot/dts/bcm47094-asus-rt-ac88u.dts:109.4-14: Warning (reg_format): /switch/ports:reg: property has invalid length (4 bytes) (#address-cells == 2, #size-cells == 1)
>> arch/arm/boot/dts/bcm47094-asus-rt-ac88u.dtb: Warning (pci_device_reg): Failed prerequisite 'reg_format'
>> arch/arm/boot/dts/bcm47094-asus-rt-ac88u.dtb: Warning (pci_device_bus_num): Failed prerequisite 'reg_format'
>> arch/arm/boot/dts/bcm47094-asus-rt-ac88u.dtb: Warning (i2c_bus_reg): Failed prerequisite 'reg_format'
>> arch/arm/boot/dts/bcm47094-asus-rt-ac88u.dtb: Warning (spi_bus_reg): Failed prerequisite 'reg_format'
>> arch/arm/boot/dts/bcm47094-asus-rt-ac88u.dts:106.9-149.5: Warning (avoid_default_addr_size): /switch/ports: Relying on default #address-cells value
>> arch/arm/boot/dts/bcm47094-asus-rt-ac88u.dts:106.9-149.5: Warning (avoid_default_addr_size): /switch/ports: Relying on default #size-cells value
>>
>> Maybe introduced by commit
>>
>>   3d2d52a0d183 ("ARM: dts: BCM5301X: define RTL8365MB switch on Asus RT-AC88U")
> 
> Confirmed, and now reverted as I'm already tagging the final pull requests.
> 
> Arınç, Florian: Feel free to resubmit a fixed version for the "late"
> branch that Olof
> may still pick up when I'm out of office, in case this is an important
> change. Otherwise
> I guess we can leave it for 5.18

Will do, thanks and sorry about not catching this earlier, I did not see
it it in the build log somehow.
-- 
Florian